// CompteView.h : interface of the CCompteView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMPTEVIEW_H__E11840F1_4A73_4C20_9898_E46FE2BE50CB__INCLUDED_)
#define AFX_COMPTEVIEW_H__E11840F1_4A73_4C20_9898_E46FE2BE50CB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CCompteView : public CScrollView
{
protected: // create from serialization only
	CCompteView();
	DECLARE_DYNCREATE(CCompteView)

// Attributes
public:
	CCompteDoc* GetDocument();

protected:
	CSize m_FrameSize;
	long m_Selected;
	long m_SelectedAll;
	long m_Count;
	long m_CountAll;
	POSITION m_Deb;
	POSITION m_Fin;

// Operations
public:

protected:
	void DrawTab(long First_Operation, long Last_Operation, CDC* pDC);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCompteView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void OnInitialUpdate(); // called first time after construct
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CCompteView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CCompteView)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnDelete();
	afx_msg void OnConvert();
	afx_msg void OnEditCopy();
	afx_msg void OnCheck();
	afx_msg void OnModif();
	afx_msg void OnPast();
	afx_msg void OnNext();
	afx_msg void OnFindDate();
	afx_msg void OnFindOper();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void DrawHeader(CDC* pDC);
	void CalcPos();
	long GetNumOp(CPoint point);
	long GetNumOpAll(CPoint point);
	void Select(long Num);
	void DrawHeaderTab(CDC* pDC);
};

#ifndef _DEBUG  // debug version in CompteView.cpp
inline CCompteDoc* CCompteView::GetDocument()
   { return (CCompteDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMPTEVIEW_H__E11840F1_4A73_4C20_9898_E46FE2BE50CB__INCLUDED_)
