// FindDate.cpp : implementation file
//

#include "stdafx.h"
#include "Compte.h"
#include "FindDate.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFindDate dialog


CFindDate::CFindDate(CWnd* pParent /*=NULL*/)
	: CDialog(CFindDate::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFindDate)
	m_Month = 1;
	m_Year = 2000;
	//}}AFX_DATA_INIT
}


void CFindDate::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFindDate)
	DDX_Text(pDX, IDC_FIND_MONTH, m_Month);
	DDV_MinMaxInt(pDX, m_Month, 1, 12);
	DDX_Text(pDX, IDC_FIND_YEAR, m_Year);
	DDV_MinMaxInt(pDX, m_Year, 1900, 32000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFindDate, CDialog)
	//{{AFX_MSG_MAP(CFindDate)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFindDate message handlers

BOOL CFindDate::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	SetDlgItemInt(IDC_FIND_MONTH, m_Month);
	SetDlgItemInt(IDC_FIND_YEAR, m_Year);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
