// Date.cpp: implementation of the CDate class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Compte.h"
#include "Date.h"
#include <math.h>

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CDate::CDate()
{
	m_Day = 1;
	m_Month = 1;
	m_Year = 2000;
}

CDate::CDate(char String[])
{
	m_Day = atoi(&String[0]);
	m_Month = atoi(&String[3]);
	m_Year = atoi(&String[6]);
}

CDate::CDate(const CDate& initDate)
{
	this->m_Day = initDate.m_Day;
	this->m_Month = initDate.m_Month;
	this->m_Year = initDate.m_Year;
}

CDate::CDate(const CTime& initDate)
{
	this->m_Day = initDate.GetDay();
	this->m_Month = initDate.GetMonth();
	this->m_Year = initDate.GetYear();
}

CDate::~CDate()
{

}

void CDate::operator = (CString& String)
{
	m_Day = atoi(String.Left(2));
	String.Delete(0, 3);
	m_Month = atoi(String.Left(2));
	String.Delete(0, 3);
	m_Year = atoi(String.Left(4));
}

void CDate::operator = (char String[])
{
	m_Day = atoi(&String[0]);
	m_Month = atoi(&String[3]);
	m_Year = atoi(&String[6]);
}