// EditOperation.cpp : implementation file
//

#include "stdafx.h"
#include "Compte.h"
#include "EditOperation.h"
#include "Constantes.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditOperation dialog


CEditOperation::CEditOperation(CWnd* pParent /*=NULL*/)
	: CDialog(CEditOperation::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditOperation)
	m_Check = FALSE;
	m_Date = 0;
	m_Libelle = _T("");
	m_Type = _T("");
	m_Operation = 0.0f;
	//}}AFX_DATA_INIT
}


void CEditOperation::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditOperation)
	DDX_Check(pDX, IDC_OPER_CHECK, m_Check);
	DDX_DateTimeCtrl(pDX, IDC_OPER_DATE, m_Date);
	DDX_Text(pDX, IDC_OPER_LIB, m_Libelle);
	DDV_MaxChars(pDX, m_Libelle, 30);
	DDX_CBString(pDX, IDC_OPER_TYPE, m_Type);
	DDV_MaxChars(pDX, m_Type, 13);
	DDX_Text(pDX, IDC_OPER_OPER, m_Operation);
	DDV_MinMaxFloat(pDX, m_Operation, -2.e+006f, 2.e+006f);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditOperation, CDialog)
	//{{AFX_MSG_MAP(CEditOperation)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditOperation message handlers

BOOL CEditOperation::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// CHECK
	if(m_Check)
		CheckDlgButton(IDC_OPER_CHECK, 1);
	else
		CheckDlgButton(IDC_OPER_CHECK, 0);
	
	// DATE
	CDateTimeCtrl* pDate = static_cast<CDateTimeCtrl*>(GetDlgItem(IDC_OPER_DATE));
	pDate->SetTime(&m_Date);

	// LIBELLE
	SetDlgItemText(IDC_OPER_LIB, m_Libelle);

	// TYPE
	CComboBox* pComboBox = static_cast<CComboBox*>(GetDlgItem(IDC_OPER_TYPE));
	pComboBox->AddString(CHEQUE);
	pComboBox->AddString(CB);
	pComboBox->AddString(VIREMENT);
	pComboBox->AddString(PRELEVEMENT);
	pComboBox->AddString(RETRAIT);
	pComboBox->AddString(DEPOT_CHEQUE);
	pComboBox->AddString(DEPOT_ESPECE);

	SetDlgItemText(IDC_OPER_TYPE, m_Type);

	// OPERATION
	char Operation[10];
	gcvt(m_Operation, 7, Operation);

	SetDlgItemText(IDC_OPER_OPER, Operation);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
