// Operation.h: interface for the COperation class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OPERATION_H__B1E1C396_FDF2_49C7_8FA5_69615945E776__INCLUDED_)
#define AFX_OPERATION_H__B1E1C396_FDF2_49C7_8FA5_69615945E776__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class COperation : public CObject
{
DECLARE_SERIAL(COperation)

private:
	BOOL m_Checked;
	CTime m_Date;
	CString m_Libelle;
	CString m_Type;
	float m_Operation;
	float m_Solde;

public:
	COperation();
	COperation(const BOOL Check, const CTime Date, const CString Libelle, const CString Type, const float Operation);
	virtual ~COperation();
	void Draw(CDC* pDC, CPoint aPos) const;

	BOOL GetCheck()
	{ return m_Checked; }

	CTime GetDate()
	{ return m_Date; }

	CString GetLibelle()
	{ return m_Libelle; }

	CString GetType()
	{ return m_Type; }

	float GetOperation()
	{ return m_Operation; }

	float GetSolde()
	{ return m_Solde; }

	void PutSolde(float Solde)
	{ m_Solde = Solde; }

	void PutCheck()
	{	m_Checked = !m_Checked; }

	virtual void Serialize(CArchive& ar);

};

#endif // !defined(AFX_OPERATION_H__B1E1C396_FDF2_49C7_8FA5_69615945E776__INCLUDED_)
